<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::file Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1file.html">file</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classdlib_1_1file-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::file Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1file_1_1data.html">data</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1file_1_1file__not__found.html">file_not_found</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1file_1_1private__constructor.html">private_constructor</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a39802832737379bce0ad2dc4768da4b7"><td class="memItemLeft" align="right" valign="top"><a id="a39802832737379bce0ad2dc4768da4b7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>file</b> (const std::string &amp;name, const std::string &amp;full_name, const <a class="el" href="namespacedlib.html#a61113f8b6b3e4ccb66deca9355c8f65d">uint64</a> file_size, <a class="el" href="structdlib_1_1file_1_1private__constructor.html">private_constructor</a>)</td></tr>
<tr class="separator:a39802832737379bce0ad2dc4768da4b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13f25da96f165e77711506428a8160f9"><td class="memItemLeft" align="right" valign="top"><a id="a13f25da96f165e77711506428a8160f9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>file</b> (const std::string &amp;name)</td></tr>
<tr class="separator:a13f25da96f165e77711506428a8160f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8359d011cff5e87bea8eb2d1a00cc5dc"><td class="memItemLeft" align="right" valign="top"><a id="a8359d011cff5e87bea8eb2d1a00cc5dc"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>file</b> (const char *name)</td></tr>
<tr class="separator:a8359d011cff5e87bea8eb2d1a00cc5dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75f7eec7599ac7b63b0e4601465e29eb"><td class="memItemLeft" align="right" valign="top"><a id="a75f7eec7599ac7b63b0e4601465e29eb"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>name</b> () const</td></tr>
<tr class="separator:a75f7eec7599ac7b63b0e4601465e29eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a822d628634e0076935c88d9e593913c4"><td class="memItemLeft" align="right" valign="top"><a id="a822d628634e0076935c88d9e593913c4"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>full_name</b> () const</td></tr>
<tr class="separator:a822d628634e0076935c88d9e593913c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a563c9473bfdd5a527557817bffd4927e"><td class="memItemLeft" align="right" valign="top"><a id="a563c9473bfdd5a527557817bffd4927e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>operator std::string</b> () const</td></tr>
<tr class="separator:a563c9473bfdd5a527557817bffd4927e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fb8fda73bebead9349bec45359e0cbd"><td class="memItemLeft" align="right" valign="top"><a id="a9fb8fda73bebead9349bec45359e0cbd"></a>
<a class="el" href="namespacedlib.html#a61113f8b6b3e4ccb66deca9355c8f65d">uint64</a>&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> () const</td></tr>
<tr class="separator:a9fb8fda73bebead9349bec45359e0cbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7b8dbba8d48bae73f0754303ae335f0"><td class="memItemLeft" align="right" valign="top"><a id="ac7b8dbba8d48bae73f0754303ae335f0"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classdlib_1_1file.html">file</a> &amp;rhs) const</td></tr>
<tr class="separator:ac7b8dbba8d48bae73f0754303ae335f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a021c12ab2c805ec9eb5d1aa7734e36cf"><td class="memItemLeft" align="right" valign="top"><a id="a021c12ab2c805ec9eb5d1aa7734e36cf"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classdlib_1_1file.html">file</a> &amp;rhs) const</td></tr>
<tr class="separator:a021c12ab2c805ec9eb5d1aa7734e36cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a292b5e485ec38366cc80c3560f5af303"><td class="memItemLeft" align="right" valign="top"><a id="a292b5e485ec38366cc80c3560f5af303"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;</b> (const <a class="el" href="classdlib_1_1file.html">file</a> &amp;item) const</td></tr>
<tr class="separator:a292b5e485ec38366cc80c3560f5af303"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17b4c9c657f5137db7c9db2a8c71f0a3"><td class="memItemLeft" align="right" valign="top"><a id="a17b4c9c657f5137db7c9db2a8c71f0a3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>swap</b> (<a class="el" href="classdlib_1_1file.html">file</a> &amp;item)</td></tr>
<tr class="separator:a17b4c9c657f5137db7c9db2a8c71f0a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39802832737379bce0ad2dc4768da4b7"><td class="memItemLeft" align="right" valign="top"><a id="a39802832737379bce0ad2dc4768da4b7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>file</b> (const std::string &amp;name, const std::string &amp;full_name, const <a class="el" href="namespacedlib.html#a61113f8b6b3e4ccb66deca9355c8f65d">uint64</a> file_size, <a class="el" href="structdlib_1_1file_1_1private__constructor.html">private_constructor</a>)</td></tr>
<tr class="separator:a39802832737379bce0ad2dc4768da4b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13f25da96f165e77711506428a8160f9"><td class="memItemLeft" align="right" valign="top"><a id="a13f25da96f165e77711506428a8160f9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>file</b> (const std::string &amp;name)</td></tr>
<tr class="separator:a13f25da96f165e77711506428a8160f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8359d011cff5e87bea8eb2d1a00cc5dc"><td class="memItemLeft" align="right" valign="top"><a id="a8359d011cff5e87bea8eb2d1a00cc5dc"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>file</b> (const char *name)</td></tr>
<tr class="separator:a8359d011cff5e87bea8eb2d1a00cc5dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75f7eec7599ac7b63b0e4601465e29eb"><td class="memItemLeft" align="right" valign="top"><a id="a75f7eec7599ac7b63b0e4601465e29eb"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>name</b> () const</td></tr>
<tr class="separator:a75f7eec7599ac7b63b0e4601465e29eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a822d628634e0076935c88d9e593913c4"><td class="memItemLeft" align="right" valign="top"><a id="a822d628634e0076935c88d9e593913c4"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>full_name</b> () const</td></tr>
<tr class="separator:a822d628634e0076935c88d9e593913c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fb8fda73bebead9349bec45359e0cbd"><td class="memItemLeft" align="right" valign="top"><a id="a9fb8fda73bebead9349bec45359e0cbd"></a>
<a class="el" href="namespacedlib.html#a61113f8b6b3e4ccb66deca9355c8f65d">uint64</a>&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> () const</td></tr>
<tr class="separator:a9fb8fda73bebead9349bec45359e0cbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a563c9473bfdd5a527557817bffd4927e"><td class="memItemLeft" align="right" valign="top"><a id="a563c9473bfdd5a527557817bffd4927e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>operator std::string</b> () const</td></tr>
<tr class="separator:a563c9473bfdd5a527557817bffd4927e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7b8dbba8d48bae73f0754303ae335f0"><td class="memItemLeft" align="right" valign="top"><a id="ac7b8dbba8d48bae73f0754303ae335f0"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classdlib_1_1file.html">file</a> &amp;rhs) const</td></tr>
<tr class="separator:ac7b8dbba8d48bae73f0754303ae335f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a021c12ab2c805ec9eb5d1aa7734e36cf"><td class="memItemLeft" align="right" valign="top"><a id="a021c12ab2c805ec9eb5d1aa7734e36cf"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classdlib_1_1file.html">file</a> &amp;rhs) const</td></tr>
<tr class="separator:a021c12ab2c805ec9eb5d1aa7734e36cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a292b5e485ec38366cc80c3560f5af303"><td class="memItemLeft" align="right" valign="top"><a id="a292b5e485ec38366cc80c3560f5af303"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;</b> (const <a class="el" href="classdlib_1_1file.html">file</a> &amp;item) const</td></tr>
<tr class="separator:a292b5e485ec38366cc80c3560f5af303"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17b4c9c657f5137db7c9db2a8c71f0a3"><td class="memItemLeft" align="right" valign="top"><a id="a17b4c9c657f5137db7c9db2a8c71f0a3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>swap</b> (<a class="el" href="classdlib_1_1file.html">file</a> &amp;item)</td></tr>
<tr class="separator:a17b4c9c657f5137db7c9db2a8c71f0a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:acc021bb7a93819b448f84a40193f0491"><td class="memItemLeft" align="right" valign="top"><a id="acc021bb7a93819b448f84a40193f0491"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>init</b> (const std::string &amp;name)</td></tr>
<tr class="separator:acc021bb7a93819b448f84a40193f0491"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc021bb7a93819b448f84a40193f0491"><td class="memItemLeft" align="right" valign="top"><a id="acc021bb7a93819b448f84a40193f0491"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>init</b> (const std::string &amp;name)</td></tr>
<tr class="separator:acc021bb7a93819b448f84a40193f0491"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0995fbdc9bea37dcfafedd7cf4fb2e32"><td class="memItemLeft" align="right" valign="top"><a id="a0995fbdc9bea37dcfafedd7cf4fb2e32"></a>
<a class="el" href="structdlib_1_1file_1_1data.html">data</a>&#160;</td><td class="memItemRight" valign="bottom"><b>state</b></td></tr>
<tr class="separator:a0995fbdc9bea37dcfafedd7cf4fb2e32"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:aedf03b9517092eee7dae1588bbc00e19"><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1file.html#aedf03b9517092eee7dae1588bbc00e19">directory</a></td></tr>
<tr class="separator:aedf03b9517092eee7dae1588bbc00e19"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="aedf03b9517092eee7dae1588bbc00e19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedf03b9517092eee7dae1588bbc00e19">&#9670;&nbsp;</a></span>directory</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classdlib_1_1directory.html">directory</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">INITIAL VALUES
    state.name        == name()
    state.full_name   == full_name()
    state.file_size   == size()

CONVENTION
    state.name        == name()
    state.full_name   == full_name()
    state.file_size   == size()
</pre><p>! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="dir__nav__kernel__1_8h_source.html">dir_nav_kernel_1.h</a></li>
<li><a class="el" href="dir__nav__kernel__2_8h_source.html">dir_nav_kernel_2.h</a></li>
<li>dir_nav_kernel_2.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
